import { TCommonsHttpUrlSegments } from '../types/tcommons-http-url-segments';
export declare class CommonsHttpUrl {
    private internal;
    constructor(url: string | TCommonsHttpUrlSegments);
    get protocol(): string;
    set protocol(protocol: string);
    get hostname(): string;
    set hostname(hostname: string);
    get pathname(): string;
    set pathname(pathname: string);
    get port(): number | undefined;
    set port(port: number | undefined);
    get username(): string | undefined;
    set username(username: string | undefined);
    get password(): string | undefined;
    set password(password: string | undefined);
    get query(): string | undefined;
    set query(query: string | undefined);
    get anchor(): string | undefined;
    set anchor(anchor: string | undefined);
    get host(): string;
    get origin(): string;
    get href(): string;
}
