export declare enum ECommonsHttpResponseCode {
    OK = 200,
    CREATED = 201,
    NO_CONTENT = 204,
    BAD_REQUEST = 400,
    UNAUTHORIZED = 401,
    FORBIDDEN = 403,
    NOT_FOUND = 404,
    CONFLICT = 409,
    INTERNAL_SERVER_ERROR = 500,
    NOT_IMPLEMENTED = 501,
    SERVICE_UNAVAILABLE = 503
}
export declare function fromECommonsHttpResponseCode(method: ECommonsHttpResponseCode): number;
export declare function toECommonsHttpResponseCode(code: number): ECommonsHttpResponseCode | undefined;
