import { ECommonsHttpContentType } from '../enums/ecommons-http-content-type';
import { ECommonsHttpResponseDataType } from '../enums/ecommons-http-response-data-type';
export type TCommonsHttpRequestOptions = {
    timeout?: number;
    bodyDataEncoding?: ECommonsHttpContentType;
    responseDataType?: ECommonsHttpResponseDataType;
    maxReattempts?: number;
};
export type TCommonsHttpInternalRequestOptions = Omit<TCommonsHttpRequestOptions, 'maxReattempts' | 'bodyDataEncoding' | 'responseDataType'>;
export declare function isTCommonsHttpRequestOptions(test: unknown): test is TCommonsHttpRequestOptions;
