export var ECommonsHttpResponseCode;
(function (ECommonsHttpResponseCode) {
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["OK"] = 200] = "OK";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["CREATED"] = 201] = "CREATED";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["NO_CONTENT"] = 204] = "NO_CONTENT";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["BAD_REQUEST"] = 400] = "BAD_REQUEST";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["UNAUTHORIZED"] = 401] = "UNAUTHORIZED";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["FORBIDDEN"] = 403] = "FORBIDDEN";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["NOT_FOUND"] = 404] = "NOT_FOUND";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["CONFLICT"] = 409] = "CONFLICT";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["INTERNAL_SERVER_ERROR"] = 500] = "INTERNAL_SERVER_ERROR";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["NOT_IMPLEMENTED"] = 501] = "NOT_IMPLEMENTED";
    ECommonsHttpResponseCode[ECommonsHttpResponseCode["SERVICE_UNAVAILABLE"] = 503] = "SERVICE_UNAVAILABLE";
})(ECommonsHttpResponseCode || (ECommonsHttpResponseCode = {}));
export function fromECommonsHttpResponseCode(method) {
    switch (method) {
        case ECommonsHttpResponseCode.OK:
            return ECommonsHttpResponseCode.OK;
        case ECommonsHttpResponseCode.CREATED:
            return ECommonsHttpResponseCode.CREATED;
        case ECommonsHttpResponseCode.NO_CONTENT:
            return ECommonsHttpResponseCode.NO_CONTENT;
        case ECommonsHttpResponseCode.BAD_REQUEST:
            return ECommonsHttpResponseCode.BAD_REQUEST;
        case ECommonsHttpResponseCode.UNAUTHORIZED:
            return ECommonsHttpResponseCode.UNAUTHORIZED;
        case ECommonsHttpResponseCode.FORBIDDEN:
            return ECommonsHttpResponseCode.FORBIDDEN;
        case ECommonsHttpResponseCode.NOT_FOUND:
            return ECommonsHttpResponseCode.NOT_FOUND;
        case ECommonsHttpResponseCode.CONFLICT:
            return ECommonsHttpResponseCode.CONFLICT;
        case ECommonsHttpResponseCode.INTERNAL_SERVER_ERROR:
            return ECommonsHttpResponseCode.INTERNAL_SERVER_ERROR;
        case ECommonsHttpResponseCode.NOT_IMPLEMENTED:
            return ECommonsHttpResponseCode.NOT_IMPLEMENTED;
        case ECommonsHttpResponseCode.SERVICE_UNAVAILABLE:
            return ECommonsHttpResponseCode.SERVICE_UNAVAILABLE;
    }
    throw new Error('Unknown ECommonsHttpResponseCode');
}
export function toECommonsHttpResponseCode(code) {
    switch (code) {
        case ECommonsHttpResponseCode.OK:
            return ECommonsHttpResponseCode.OK;
        case ECommonsHttpResponseCode.CREATED:
            return ECommonsHttpResponseCode.CREATED;
        case ECommonsHttpResponseCode.NO_CONTENT:
            return ECommonsHttpResponseCode.NO_CONTENT;
        case ECommonsHttpResponseCode.BAD_REQUEST:
            return ECommonsHttpResponseCode.BAD_REQUEST;
        case ECommonsHttpResponseCode.UNAUTHORIZED:
            return ECommonsHttpResponseCode.UNAUTHORIZED;
        case ECommonsHttpResponseCode.FORBIDDEN:
            return ECommonsHttpResponseCode.FORBIDDEN;
        case ECommonsHttpResponseCode.NOT_FOUND:
            return ECommonsHttpResponseCode.NOT_FOUND;
        case ECommonsHttpResponseCode.CONFLICT:
            return ECommonsHttpResponseCode.CONFLICT;
        case ECommonsHttpResponseCode.INTERNAL_SERVER_ERROR:
            return ECommonsHttpResponseCode.INTERNAL_SERVER_ERROR;
        case ECommonsHttpResponseCode.NOT_IMPLEMENTED:
            return ECommonsHttpResponseCode.NOT_IMPLEMENTED;
        case ECommonsHttpResponseCode.SERVICE_UNAVAILABLE:
            return ECommonsHttpResponseCode.SERVICE_UNAVAILABLE;
    }
    return undefined;
}
//# sourceMappingURL=ecommons-http-response-code.js.map